Loading...
Searching...
No Matches
BALL::SimpleDownloaderHelper::HelperThread Class Referenceabstract

`#include <BALL/SYSTEM/simpleDownloader.h>`

Inheritance diagram for BALL::SimpleDownloaderHelper::HelperThread:

## Public Member Functions

| HelperThread (const QUrl &url, QByteArray *result, SimpleDownloader *parent)
| HelperThread (const QUrl &url, const String &path, SimpleDownloader *parent)
int | getStatus ()

## Protected Member Functions

virtual QNetworkReply * | getReply_ (QNetworkAccessManager *man)=0
void | run ()

## Protected Attributes

int | err_
QUrl | url_
QByteArray * | result_
String | path_
SimpleDownloader * | parent_

## Detailed Description

Definition at line 151 of file simpleDownloader.h.

## Constructor & Destructor Documentation

## HelperThread() [1/2]

BALL::SimpleDownloaderHelper::HelperThread::HelperThread | ( | const QUrl & | url,
|  | QByteArray * | result,
|  | SimpleDownloader * | parent )

## HelperThread() [2/2]

BALL::SimpleDownloaderHelper::HelperThread::HelperThread | ( | const QUrl & | url,
|  | const String & | path,
|  | SimpleDownloader * | parent )

## Member Function Documentation

## getReply_()

virtual QNetworkReply * BALL::SimpleDownloaderHelper::HelperThread::getReply_ | ( | QNetworkAccessManager * | man | ) |

protected pure virtual

Implemented in BALL::SimpleDownloaderHelper::DLThread, and BALL::SimpleDownloaderHelper::UPThread.

## getStatus()

int BALL::SimpleDownloaderHelper::HelperThread::getStatus | ( |  | ) |

## run()

void BALL::SimpleDownloaderHelper::HelperThread::run | ( |  | ) |

protected

## Member Data Documentation

## err_

int BALL::SimpleDownloaderHelper::HelperThread::err_

protected

Definition at line 164 of file simpleDownloader.h.

## parent_

SimpleDownloader* BALL::SimpleDownloaderHelper::HelperThread::parent_

protected

Definition at line 168 of file simpleDownloader.h.

## path_

String BALL::SimpleDownloaderHelper::HelperThread::path_

protected

Definition at line 167 of file simpleDownloader.h.

## result_

QByteArray* BALL::SimpleDownloaderHelper::HelperThread::result_

protected

Definition at line 166 of file simpleDownloader.h.

## url_

QUrl BALL::SimpleDownloaderHelper::HelperThread::url_

protected

Definition at line 165 of file simpleDownloader.h.